Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.provider.xmi
Class ViewModelFileExtensionsManager

    java.lang.Object
      org.eclipse.emf.ecp.view.model.provider.xmi.ViewModelFileExtensionsManager

    public final class ViewModelFileExtensionsManager

extends Object

Manages the view models provided by the file extension point.

Author:
  Jonas Helming

Method Summary
`VView` | `createView(org.eclipse.emf.ecore.EObject eObject, Map<String,Object> context)`
`static void` | `dispose()` Disposed the instance.
`static Map<org.eclipse.emf.common.util.URI,org.eclipse.emf.ecp.view.model.provider.xmi.ViewModelFileExtensionsManager.ExtensionDescription>` | `getExtensionURIS()`
`static ViewModelFileExtensionsManager` | `getInstance()`
`boolean` | `hasViewModelFor(org.eclipse.emf.ecore.EObject eObject, Map<String,Object> context)`
`static org.eclipse.emf.ecore.resource.Resource` | `loadResource(org.eclipse.emf.common.util.URI uri)` Loads a resource containing a view model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ViewModelFileExtensionsManager getInstance()

  Returns:
    the iNSTANCE

### loadResource

    public static org.eclipse.emf.ecore.resource.Resource loadResource(org.eclipse.emf.common.util.URI uri)

  Loads a resource containing a view model.

  Parameters:
    `uri` - a URI containing the path to the file
  Returns:
    the loaded resource

### dispose

    public static void dispose()

  Disposed the instance.

### getExtensionURIS

    public static Map<org.eclipse.emf.common.util.URI,org.eclipse.emf.ecp.view.model.provider.xmi.ViewModelFileExtensionsManager.ExtensionDescription> getExtensionURIS()

  Returns:
    a list of uris of all xmi files registered

### hasViewModelFor

    public boolean hasViewModelFor(org.eclipse.emf.ecore.EObject eObject,
                                   Map<String,Object> context)

  Parameters:
    `eObject` - the object to be rendered
    `context` - a key-value-map from String to Object
  Returns:
    if there is a xmi file registered containing a view model for the given type

### createView

    public VView createView(org.eclipse.emf.ecore.EObject eObject,
                            Map<String,Object> context)

  Parameters:
    `eObject` - The `EObject` to create a view for
    `context` - a key-value-map from String to Object
  Returns:
    a view model for the given eObject

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.